org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetServiceImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.services.PlatformAbstractService
  - - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetServiceImpl

All Implemented Interfaces:
  Externalizable, Serializable, PlatformDotNetService, PlatformService, Service

    public class PlatformDotNetServiceImpl
    extends PlatformAbstractService
    implements PlatformDotNetService

Interop .Net service.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.services.PlatformAbstractService

`platformCtx, ptr, srvKeepBinary, svc`

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetServiceImpl()` Default constructor for serialization.
`PlatformDotNetServiceImpl(Object svc, PlatformContext ctx, boolean srvKeepBinary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getInternalService()`

### Methods inherited from class org.apache.ignite.internal.processors.platform.services.PlatformAbstractService

`cancel, execute, init, invokeMethod, invokeMethod, pointer, readExternal, setIgniteInstance, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.services.PlatformService

`invokeMethod, invokeMethod, pointer`

### Methods inherited from interface org.apache.ignite.services.Service

`cancel, execute, init`

### Constructor Detail

#### PlatformDotNetServiceImpl

    public PlatformDotNetServiceImpl()

Default constructor for serialization.

#### PlatformDotNetServiceImpl

    public PlatformDotNetServiceImpl(Object svc,
                                     PlatformContext ctx,
                                     boolean srvKeepBinary)

Constructor.

Parameters:
  `svc` - Service.
  `ctx` - Context.
  `srvKeepBinary` - Whether to keep objects binary on server if possible.

### Method Detail

#### getInternalService

    public Object getInternalService()

Returns:
  Service itself

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022